メニュー
解決済
回答
1
sierra Sierra mac Mac SierraにバージョンアップしたらGitでエラーがでる

2016年9月22日 11:59

Mac OS Xから名前を変更したMacOSのSierraにバージョンアップしたあとにGitを使おうとしたら下図のようにエラーがでるようになりました。

Agreeing to the Xcode/iOS license requires admin privileges, please re-run as root via sudo.

Xcode/iOSのライセンスに同意する必要がある、ということらしいのですがどのようにすればいいのでしょうか。
ご存知の方連絡お願いします。

    高橋 良輔 4年 ago  

    Xcodeが最新バージョンになっていなくて、最新のライセンスに同意していないと、このエラーが出ます。
    なのでXcodeをバージョンアップしましょう。最新のXcodeのバージョンは8です。

    AppStoreを開きアップデートをクリックするとXcodeのアップデートができるはずです。

    アップデートが完了したらXcodeを起動させると下記のダイアログが表示されます。
    ここでAgreeボタンをクリックしましょう。

    これでGitコマンドでエラーは出なくなりますよ。

コメントを追加するためには 会員登録・ログインが必要です。

太字斜体H3H4リンク画像引用コード番号リストリスト

投稿者プロフィール
新しもの好きエンジニア。